# awesome-alternative-frontends
A curated list of awesome alternative, privacy-friendly frontends.

If anything is missing, feel free to open a pull request!

## YouTube

### Web

#### Invidious

Invidious is an alternative front-end to YouTube.

| Repository     | https://github.com/iv-org/invidious |
| --- | --- |
| Instances list | https://docs.invidious.io/instances/ |
| Javascript required? | 🟢 No |
| API available? | 🟢 Yes |

#### Piped

An alternative privacy-friendly YouTube frontend which is efficient by design. 

| Repository     | https://github.com/TeamPiped/Piped |
| --- | --- |
| Instances list | https://github.com/TeamPiped/Piped/wiki/Instances |
| Javascript required? | 🟥 Yes |
| API available? | 🟢 Yes |

### Desktop

#### FreeTube

An Open Source YouTube app for privacy

| Repository     | https://github.com/FreeTubeApp/FreeTube |
| --- | --- |
| Windows? | 🟢 Yes |
| macOS? | 🟢 Yes |
| Linux? | 🟢 Yes |

[<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/FreeTubeApp/FreeTube/releases/latest)

#### YouTube-Viewer

Lightweight YouTube client for Linux 

| Repository     | https://github.com/trizen/youtube-viewer |
| --- | --- |
| Windows? | 🟥 No |
| macOS? | 🟥 No |
| Linux? | 🟢 Yes |

#### Yattee

Alternative YouTube frontend for iOS (iPhone, iPad), macOS and tvOS (Apple TV) built with Invidious and Piped 

| Repository     | https://github.com/yattee/yattee |
| --- | --- |
| Windows? | 🟥 No |
| macOS? | 🟢 Yes |
| Linux? | 🟥 No |

### Mobile

#### NewPipe

A libre lightweight streaming front-end for Android.

| Repository     | https://github.com/TeamNewPipe/NewPipe |
| --- | --- |
| Android? | 🟢 Yes |
| iOS? | 🟥 No |

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/>](https://f-droid.org/packages/org.schabi.newpipe) [<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/TeamNewPipe/NewPipe/releases/latest)

#### SkyTube

Copylefted libre / open source YouTube player for Android

| Repository     | https://github.com/SkyTubeTeam/SkyTube |
| --- | --- |
| Android? | 🟢 Yes |
| iOS? | 🟥 No |

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/>](https://f-droid.org/repository/browse/?fdid=free.rm.skytube.oss) [<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/SkyTubeTeam/SkyTube/releases/latest)

#### LibreTube

An alternative frontend for YouTube, for Android. [WIP] 

| Repository     | https://github.com/libre-tube/LibreTube |
| --- | --- |
| Android? | 🟢 Yes |
| iOS? | 🟥 No |

  [<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/>](https://f-droid.org/en/packages/com.github.libretube/) [<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/libre-tube/LibreTube/releases/latest)

#### uYouPlus

uYou+ is a modified version of uYou (made by @MiRO92) with additional features and mainly made for non jailbroken users! 

| Repository     | https://github.com/qnblackcat/uYouPlus |
| --- | --- |
| Android? | 🟥 No |
| iOS? | 🟢 Yes |

[<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/qnblackcat/uYouPlus/releases/latest)

#### Yattee

Alternative YouTube frontend for iOS (iPhone, iPad), macOS and tvOS (Apple TV) built with Invidious and Piped 

| Repository     | https://github.com/yattee/yattee |
| --- | --- |
| Android? | 🟥 No |
| iOS? | 🟢 Yes |

[<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/yattee/yattee/releases/latest)

### TV

#### SmartTubeNext

Ad free app for watching tube videos on Android TV boxes 

| Repository     | https://github.com/yuliskov/SmartTubeNext |
| --- | --- |
| AndroidTV? | 🟢 Yes |
| fireTV? | 🟢 Yes |
| webOS? | 🟥 No |
| tizenOS? | 🟥 No |
| tvOS? | 🟥 No |


#### Yattee

Alternative YouTube frontend for iOS (iPhone, iPad), macOS and tvOS (Apple TV) built with Invidious and Piped 

| Repository     | https://github.com/yattee/yattee |
| --- | --- |
| AndroidTV? | 🟥 No |
| fireTV? | 🟥 No |
| webOS? | 🟥 No |
| tizenOS? | 🟥 No |
| tvOS? | 🟢 Yes |


## Youtube Music

### Web

#### Beatbump

Alternative YouTube Music frontend built with Svelte/SvelteKit 🎧

| Repository     | https://github.com/snuffyDev/Beatbump |
| --- | --- |
| Instances list | 🟥 Not available |
| Javascript required? | 🟥 Yes |
| API available? | 🟥 No |

### Desktop

#### Youtube Music

YouTube Music Desktop App bundled with custom plugins (and built-in ad blocker / downloader) 

| Repository     | https://github.com/th-ch/youtube-music |
| --- | --- |
| Windows? | 🟢 Yes |
| macOS? | 🟢 Yes |
| Linux? | 🟢 Yes |

[<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/th-ch/youtube-music/releases/latest)

### Mobile

#### BlackHole

A Music Player App made with Flutter 

| Repository     | https://github.com/Sangwan5688/BlackHole |
| --- | --- |
| Android? | 🟢 Yes |
| iOS? | 🟥 No |

  [<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/>](https://f-droid.org/packages/com.shadow.blackhole/) [<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/Sangwan5688/BlackHole/releases/latest)


## Reddit

### Web

#### Libreddit

Private front-end for Reddit

| Repository     | https://github.com/spikecodes/libreddit |
| --- | --- |
| Instances list | https://github.com/spikecodes/libreddit#instances= |
| Javascript required? | 🟢 No |
| API available? | 🟥 No |

#### Teddit

alternative Reddit front-end focused on privacy https://teddit.net

| Repository     | https://codeberg.org/teddit/teddit |
| --- | --- |
| Instances list | https://codeberg.org/teddit/teddit#instances |
| Javascript required? | 🟢 No |
| API available? | Yes 🟡 (Unofficial) |

#### Troddit

A web client for Reddit with authenticated logins and a variety of browsing options 

| Repository     | https://github.com/burhan-syed/troddit |
| --- | --- |
| Instances list | https://github.com/teddit-net/teddit#instances= |
| Javascript required? | 🟥 Yes |
| API available? | 🟥 No |

### Mobile

#### Stealth

Stealth is an account-free, privacy-oriented, and feature-rich Reddit client.

| Repository     | https://gitlab.com/cosmosapps/stealth |
| --- | --- |
| Android? | 🟢 Yes |
| iOS? | 🟥 No |

  [<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/>](https://f-droid.org/packages/com.cosmos.unreddit/)

#### Infinity

A Reddit client for Android

| Repository     | https://github.com/Docile-Alligator/Infinity-For-Reddit |
| --- | --- |
| Android? | 🟢 Yes |
| iOS? | 🟥 No |

 [<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png"
     alt="Get it on Google Play"
     height="80">](https://play.google.com/store/apps/details?id=ml.docilealligator.infinityforreddit) [<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/>](https://f-droid.org/packages/ml.docilealligator.infinityforreddit/) [<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/Docile-Alligator/Infinity-For-Reddit/releases/latest)

#### Dawn

Here lives the greatest open-source Reddit app 

| Repository     | https://github.com/Tunous/Dawn |
| --- | --- |
| Android? | 🟢 Yes |
| iOS? | 🟥 No |

 [<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png"
     alt="Get it on Google Play"
     height="80">](https://play.google.com/store/apps/details?id=me.thanel.dank) [<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/>](https://f-droid.org/en/packages/me.thanel.dank) [<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/Tunous/Dawn/releases/latest)


## Twitter

### Web

#### Nitter

Alternative Twitter front-end

| Repository     | https://github.com/zedeus/nitter |
| --- | --- |
| Instances list | https://github.com/zedeus/nitter/wiki/Instances |
| Javascript required? | 🟢 No |
| API available? | 🟥 No (Included in it's roadmap, https://github.com/zedeus/nitter#roadmap=)  |

### Mobile

#### Fritter

A privacy-friendly Twitter frontend for mobile devices

| Repository     | https://github.com/jonjomckay/fritter |
| --- | --- |
| Android? | 🟢 Yes |
| iOS? | 🟥 No |

 [<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png"
     alt="Get it on Google Play"
     height="80">](https://play.google.com/store/apps/details?id=com.jonjomckay.fritter) [<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/>](https://f-droid.org/packages/com.jonjomckay.fritter/) [<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/jonjomckay/fritter/releases/latest)

#### Shitter

Lightweight Twitter app for Android

| Repository     | https://github.com/nuclearfog/Shitter |
| --- | --- |
| Android? | 🟢 Yes |
| iOS? | 🟥 No |

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/>](https://github.com/nuclearfog/Shitter/releases/latest)


## Instagram

**Instagram is known to aggresively block alternative frontends. Please help the community by hosting your own service**

### Bibliogram

An alternative front-end for Instagram.

| Repository     | https://sr.ht/~cadence/bibliogram/ |
| --- | --- |
| Instances list | https://git.sr.ht/~cadence/bibliogram-docs/tree/master/docs/Instances.md |
| Javascript required? | 🟢 No |
| API available? | 🟥 No |


## Google

### Web

#### Whoogle

A self-hosted, ad-free, privacy-respecting metasearch engine

| Repository     | https://github.com/benbusby/whoogle-search |
| --- | --- |
| Instances list | https://github.com/benbusby/whoogle-search#public-instances= |
| Javascript required? | 🟢 No |
| API available? | 🟥 No |

#### LibreX

A privacy respecting free as in freedom meta search engine 

| Repository     | https://github.com/hnhx/librex |
| --- | --- |
| Instances list | https://github.com/hnhx/librex#online-instances= |
| Javascript required? | 🟢 No |
| API available? | 🟢 Yes |


## Google Translate

### Web

#### Lingva

Alternative front-end for Google Translate 

| Repository     | https://github.com/TheDavidDelta/lingva-translate |
| --- | --- |
| Instances list | https://github.com/TheDavidDelta/lingva-translate#instances=|
| Javascript required? | 🟥 Yes |
| API available? | 🟢 Yes |

#### SimplyTranslate

Web Interface for SimplyTranslate built with python and quart https://simplytranslate.org

| Repository     | https://codeberg.org/SimpleWeb/SimplyTranslate-Web |
| --- | --- |
| Instances list | https://simple-web.org/projects/simplytranslate.html |
| Javascript required? | 🟥 Yes |
| API available? | 🟢 Yes |


## Spotify

### Desktop

#### Psst

Fast and multi-platform Spotify client with native GUI 

**A Spotify Premium Account is required**

| Repository     | https://github.com/jpochyla/psst |
| --- | --- |
| Windows? | Supported 🟡 |
| macOS? | 🟢 Yes |
| Linux? | Supported 🟡 |

#### Spotiqueue

Dead-simple queue-oriented client for Spotify

| Repository     | https://github.com/toothbrush/Spotiqueue |
| --- | --- |
| Windows? | 🟥 No |
| macOS? | 🟢 Yes |
| Linux? | 🟥 No |

#### Spot

Native Spotify client for the GNOME desktop

**A Spotify Premium Account is required**

| Repository     | https://github.com/xou816/spot |
| --- | --- |
| Windows? | 🟥 No |
| macOS? | 🟥 No |
| Linux? | 🟢 Yes |

[<img src="https://flathub.org/assets/badges/flathub-badge-en.png" alt="Download on Flathub" height="80">](https://flathub.org/apps/details/dev.alextren.Spot)



## TikTok

### Web

#### ProxiTok

Open source alternative frontend for TikTok made using PHP 

| Repository     | https://github.com/pablouser1/ProxiTok |
| --- | --- |
| Instances list | https://github.com/pablouser1/ProxiTok/wiki/Public-instances |
| Javascript required? | 🟢 No |
| API available? | 🟥 No |


## Imgur

### Web

#### Rimgo

Self-hosted frontend for imgur. Rewritten in Go. https://i.bcow.xyz

| Repository     | https://codeberg.org/video-prize-ranch/rimgo |
| --- | --- |
| Instances list | https://codeberg.org/video-prize-ranch/rimgo#instances |
| Javascript required? | 🟢 No |
| API available? | 🟥 No |

#### Rimgu

Self-hosted frontend for imgur

| Repository     | https://codeberg.org/3np/rimgu |
| --- | --- |
| Instances list | 🟥 Not available |
| Javascript required? | 🟢 No |
| API available? | 🟢 Yes |

#### Rimgu

Self-hosted frontend for imgur

| Repository     | https://codeberg.org/3np/rimgu |
| --- | --- |
| Instances list | 🟥 Not available |
| Javascript required? | 🟢 No |
| API available? | 🟥 No |

#### Omgur

Private front-end for Imgur

| Repository     | https://git.geraldwu.com/gerald/omgur |
| --- | --- |
| Instances list | 🟥 Not available |
| Javascript required? | 🟢 No |
| API available? | 🟥 No (Included in it's roadmap, https://git.geraldwu.com/gerald/omgur#far-future-roadmap) |

#### Imgrs

Private front-end for Imgur

| Repository     | https://git.geraldwu.com/gerald/imgrs |
| --- | --- |
| Instances list | 🟥 Not available |
| Javascript required? | 🟢 No |
| API available? | 🟥 No (Included in it's roadmap, https://git.geraldwu.com/gerald/imgrs#far-future-roadmap) |


## Mastodon

### Web

#### Pinafore

Alternative web client for Mastodon 

| Repository     | https://github.com/nolanlawson/pinafore |
| --- | --- |
| Instances list | 🟥 Not available |
| Javascript required? | 🟥 Yes |
| API available? | 🟥 No |


## Medium

### Web

#### Scribe

An Alternative Medium Frontend

| Repository     | https://sr.ht/~edwardloveall/scribe/ |
| --- | --- |
| Instances list | 🟥 Not available |
| Javascript required? | 🟢 No |
| API available? | 🟥 No |


## Reuters

### Web

#### Neuters

Reuters Redirect and Proxy 

| Repository     | https://github.com/HookedBehemoth/neuters |
| --- | --- |
| Instances list | 🟥 Not available |
| Javascript required? | 🟢 No |
| API available? | 🟥 No |


## Wikipedia

### Web

#### Wikiless

A free open source alternative Wikipedia front-end focused on privacy

| Repository     | https://codeberg.org/orenom/wikiless |
| --- | --- |
| Instances list | https://codeberg.org/orenom/wikiless#instances |
| Javascript required? | 🟢 No |
| API available? | 🟥 No |


## Odysee

### Web

#### Librarian

An alternative frontend for LBRY/Odysee.

| Repository     | https://codeberg.org/librarian/librarian |
| --- | --- |
| Instances list | https://codeberg.org/librarian/librarian#instances |
| Javascript required? | 🟥 Yes for video playing; 🟢 No for everything else |
| API available? | 🟥 No |



more following...
